Bug 699587 - Review Request: pagul-fonts - Font for Saurashtra script
Summary: Review Request: pagul-fonts - Font for Saurashtra script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 05:28 UTC by Parag Nemade
Modified: 2014-09-29 12:01 UTC (History)
5 users (show)

Fixed In Version: pagul-fonts-1.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-04 02:58:56 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2011-04-26 05:28:17 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/hl-pagul-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/hl-pagul-fonts-1.0-1.fc15.src.rpm
Description: 
A TrueType Font, which allows you to read and write in Saurashtra Script.

Comment 1 Mario Blättermann 2011-04-27 08:50:25 UTC
The scratch build in Koji fails for this package:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3029124

Anyway, I'm missing a "files" section in the spec file.

Comment 2 Parag Nemade 2011-04-27 09:09:46 UTC
Thanks. Updated but not bumped the spec. Please recheck the following links

Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/hl-pagul-fonts.spec
SRPM URL:
http://paragn.fedorapeople.org/fedora-work/SRPMS/hl-pagul-fonts-1.0-1.fc15.src.rpm

koji scratch-build-> http://koji.fedoraproject.org/koji/taskinfo?taskID=3029204

Comment 3 Parag Nemade 2011-04-27 09:11:31 UTC
%_font_pkg macro is expanded by rpm which contains %files section. See file /etc/rpm/macros.fonts on your system.

Comment 4 Mario Blättermann 2011-04-27 09:51:45 UTC
(In reply to comment #3)
> %_font_pkg macro is expanded by rpm which contains %files section. See file
> /etc/rpm/macros.fonts on your system.

OK, thanks for the hint. I didn't know how this works in font packages.

$ rpmlint -v *
hl-pagul-fonts.src: I: checking
hl-pagul-fonts.src: I: checking-url http://sourceforge.net/projects/pagul/ (timeout 10 seconds)
hl-pagul-fonts.src: I: checking-url http://download.sourceforge.net/project/pagul/Pagul_v1.0.zip (timeout 10 seconds)
hl-pagul-fonts.noarch: I: checking
hl-pagul-fonts.noarch: I: checking-url http://sourceforge.net/projects/pagul/ (timeout 10 seconds)
hl-pagul-fonts.spec: I: checking-url http://download.sourceforge.net/project/pagul/Pagul_v1.0.zip (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK, no issues.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv3+ with exceptions

[+] MUST: The License field in the package spec file must match the actual
license.
    Would be nice to mention which exception is used here
    (http://www.gnu.org/licenses/gpl-faq.html#FontException)
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    e37f7bf8c70dce476bbddac5dd4da583  Pagul_v1.0.zip
    e37f7bf8c70dce476bbddac5dd4da583  Pagul_v1.0.zip.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

--------------------------------------

PACKAGE APPROVED

--------------------------------------

Comment 5 Parag Nemade 2011-04-27 10:10:56 UTC
Thanks for the review. But I just found actually ttf created by sfd contains no foundry/vendor name and pagul font is open source version of sourashtra font which is for commercial use and using HL as foundry.

I will use this package name as pagul-fonts only.

See more info at http://ultimategerardm.blogspot.com/2011/04/font-for-sourashtra-script.html

Comment 7 Mario Blättermann 2011-04-27 13:34:06 UTC
OK, your package is approved anyway.

Comment 8 Parag Nemade 2011-04-29 09:06:45 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: pagul-fonts 
Short Description: Font for Saurashtra script
Owners: pnemade
Branches: f15
InitialCC: i18n-team fonts-sig

Comment 9 Jason Tibbitts 2011-04-30 18:13:03 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-05-03 04:40:24 UTC
pagul-fonts-1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pagul-fonts-1.0-2.fc15

Comment 11 Fedora Update System 2011-05-05 04:41:54 UTC
pagul-fonts-1.0-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-06-04 02:58:48 UTC
pagul-fonts-1.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Parag Nemade 2014-09-28 06:28:39 UTC
Package Change Request
======================
Package Name: pagul-fonts
New Branches: el6 epel7
Owners: pnemade

Comment 14 Gwyn Ciesla 2014-09-29 12:01:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.